
#include "./lib/lib.c"

int main() {
  defer(allocator_storage_free_inner_pointers) allocator_storage_t a =
      allocator_storage_create(8);

  byte_sized_t *data = http_get("http://localhost:13337");
  if (data == NULL) {
    printf("Failed to get data from server\n");
    return 1;
  } else {
    printf("Received %zu bytes from server: %.*s\n", data->size,
           (int)data->size, data->data);
  }

  free(data);

  return 0;
}
